V3 Create Attachment URL

This API is required to start managing attachments via cloud storage. It creates an upload URL for an attachment. The URL is then passed in a PUT call to upload the attachment.

Uploading an attachment is a two-step process:

  1. Send the File Attachment Data Contract request payload. If the size is greater than 60MB, you’ll need to send the payload in multiple chunks. See the Usage Notes section below for more information about multi-chunking large files.

  2. After receiving the response:

  • If cloud storage is enabled, use the upload URL and the authorizationHeader as the authorization request header in the PUT call. Depending on the size of the file, the multiChunk attribute may need to be used. Once you have uploaded the file in multiple chunks, call the commit URL to complete the transaction.
  • If cloud storage is not enabled, use the upload URL to upload the attachment.

Usage Notes

  • Multi-chunking: If the size of the file to be uploaded is greater than 60 MB, multiple URLs will be provided so the attachment can be split into chunks and uploaded in parallel. Each chunk will support 20MB of the file. You will have to split the file into chunks before uploading to each URL. A sample for streaming large files is provided in the Developer portal. See Resources > Streaming Large Files. Note that multi-chunking is supported for V3 only.

  • lockID parameter: Provide the lockID if you want to add an attachment and assign the file to a document container.

Path Params
string
required

Unique identifier assigned to the loan.

Query Params
string

The unique identifier of the loan lock. This can be specified if the user has an existing lock on the loan.

Body Params
assignTo
object

The entity Reference to the document that the attachment is to be assigned to.

file
object

Object that contains the details of the attachment to be uploaded.

string

The title of the attachment.

CreateAttachmentResponse
object

Object that is returned in the response when an attachment is being uploaded

Headers
string
required

Bearer token

Responses

400

Bad Request

Language
URL
LoadingLoading…
Response
Choose an example:
application/json